> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/reference/howto/ubuntu-pipewire-audio.md).

# Using PipeWire Audio on Ubuntu Linux

With this guide, you will learn how to improve your audio quality with PipeWire on Ubuntu Linux systems.

## Overview

By default, the PASCOM App on Ubuntu Linux distributions uses the default PulseAudio daemon. Here, it may happen that your audio quality sounds "tinny" or "robotic". To fix this problem, you can use the PipeWire Audio Daemon, which provides a solid workaround.

{% hint style="warning" %}
The PASCOM App was tested with PipeWire only on Ubuntu distributions.
{% endhint %}

## Install PipeWire

Run the following commands in your terminal environment to install PipeWire. This will also make PipeWire the default audio daemon for the logged in user.

#### Add PipeWire repository

```
sudo add-apt-repository ppa:pipewire-debian/pipewire-upstream
sudo apt update
```

#### Install PipeWire

```
sudo apt install pipewire pipewire-pulse
sudo apt install pipewire-audio-client-libraries
sudo apt install gstreamer1.0-pipewire libspa-0.2-bluetooth libspa-0.2-jack
```

#### Set PipeWire as default audio daemon

```
systemctl --user stop pulseaudio.service pulseaudio.socket
systemctl --user disable pulseaudio.service pulseaudio.socket
systemctl --user mask pulseaudio.service pulseaudio.socket
systemctl --user enable pipewire.socket pipewire-pulse.socket
systemctl --user start pipewire.socket pipewire-pulse.socket
```

#### Reebot System

To apply the changes in Ubuntu, you must reboot.

```
sudo reboot
```

## Use PipeWire

After installing and setting up PipeWire, the audio daemon is automatically used by the PASCOM App.

1. At this point, check your audio device settings again, which may have changed due to the change of the audio daemon.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/reference/howto/ubuntu-pipewire-audio.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
